lang/runawk - The NetBSD Packages Collection

AWK wrapper that provides support for modules

RUNAWK is a small wrapper for AWK interpreter that implements module system
(similar to Perl's "use" command) and helps to write the standalone AWK
programs. Dozens of modules are also provided.

Build dependencies

devel/mk-configure pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrunawk-1.6.1.tgz
NetBSD 8.0i386runawk-1.6.1.tgz
NetBSD 8.0i386runawk-1.6.1.tgz
NetBSD 8.0i386runawk-1.6.1.tgz
NetBSD 8.0powerpcrunawk-1.6.1.tgz
NetBSD 8.0powerpcrunawk-1.6.1.tgz
NetBSD 8.0powerpcrunawk-1.6.1.tgz
NetBSD 8.0powerpcrunawk-1.6.1.tgz
NetBSD 8.0x86_64runawk-1.6.1.tgz
NetBSD 8.0x86_64runawk-1.6.1.tgz
NetBSD 8.0x86_64runawk-1.6.1.tgz
NetBSD 9.0aarch64runawk-1.6.1.tgz
NetBSD 9.0aarch64runawk-1.6.1.tgz
NetBSD 9.0aarch64runawk-1.6.1.tgz
NetBSD 9.0alpharunawk-1.6.1.tgz
NetBSD 9.0alpharunawk-1.6.1.tgz
NetBSD 9.0alpharunawk-1.6.1.tgz
NetBSD 9.0earmrunawk-1.6.1.tgz
NetBSD 9.0earmrunawk-1.6.1.tgz
NetBSD 9.0earmrunawk-1.6.1.tgz
NetBSD 9.0earmv6hfrunawk-1.6.1.tgz
NetBSD 9.0earmv6hfrunawk-1.6.1.tgz
NetBSD 9.0earmv6hfrunawk-1.6.1.tgz
NetBSD 9.0earmv7hfrunawk-1.6.1.tgz
NetBSD 9.0earmv7hfrunawk-1.6.1.tgz
NetBSD 9.0earmv7hfrunawk-1.6.1.tgz
NetBSD 9.0earmv7hfrunawk-1.6.1.tgz
NetBSD 9.0i386runawk-1.6.1.tgz
NetBSD 9.0i386runawk-1.6.1.tgz
NetBSD 9.0i386runawk-1.6.1.tgz
NetBSD 9.0m68krunawk-1.6.1.tgz
NetBSD 9.0m68krunawk-1.6.1.tgz
NetBSD 9.0m68krunawk-1.6.1.tgz
NetBSD 9.0m68krunawk-1.6.1.tgz
NetBSD 9.0mips64ebrunawk-1.6.1.tgz
NetBSD 9.0mips64ebrunawk-1.6.1.tgz
NetBSD 9.0mips64ebrunawk-1.6.1.tgz
NetBSD 9.0mipselrunawk-1.6.1.tgz
NetBSD 9.0mipselrunawk-1.6.1.tgz
NetBSD 9.0mipselrunawk-1.6.1.tgz
NetBSD 9.0mipselrunawk-1.6.1.tgz
NetBSD 9.0powerpcrunawk-1.6.1.tgz
NetBSD 9.0powerpcrunawk-1.6.1.tgz
NetBSD 9.0powerpcrunawk-1.6.1.tgz
NetBSD 9.0powerpcrunawk-1.6.1.tgz
NetBSD 9.0powerpcrunawk-1.6.1.tgz
NetBSD 9.0powerpcrunawk-1.6.1.tgz
NetBSD 9.0sh3elrunawk-1.6.1.tgz
NetBSD 9.0sh3elrunawk-1.6.1.tgz
NetBSD 9.0sh3elrunawk-1.6.1.tgz
NetBSD 9.0sh3elrunawk-1.6.1.tgz
NetBSD 9.0sparc64runawk-1.6.1.tgz
NetBSD 9.0sparc64runawk-1.6.1.tgz
NetBSD 9.0sparc64runawk-1.6.1.tgz
NetBSD 9.0sparcrunawk-1.6.1.tgz
NetBSD 9.0sparcrunawk-1.6.1.tgz
NetBSD 9.0sparcrunawk-1.6.1.tgz
NetBSD 9.0vaxrunawk-1.6.1.tgz
NetBSD 9.0vaxrunawk-1.6.1.tgz
NetBSD 9.0vaxrunawk-1.6.1.tgz
NetBSD 9.0vaxrunawk-1.6.1.tgz
NetBSD 9.0vaxrunawk-1.6.1.tgz
NetBSD 9.0x86_64runawk-1.6.1.tgz
NetBSD 9.0x86_64runawk-1.6.1.tgz
NetBSD 9.0x86_64runawk-1.6.1.tgz
NetBSD 9.0x86_64runawk-1.6.1.tgz
NetBSD 9.0x86_64runawk-1.6.1.tgz
NetBSD 9.0x86_64runawk-1.6.1.tgz
NetBSD 9.99.96aarch64ebrunawk-1.6.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.